@charset "UTF-8";
@tailwind base;

/* 追加で記述 */
/* roboto */
@font-face {
  /* font-family: "roboto";  // 自分で好きな名前を付ける */
  /* font-style: italic; */
  /* font-weight: 700; */
  /* font-display: swap; */
  /* src: url("/media/files/font/Roboto-BoldItalic.ttf") format("truetype"); */
}

/* roboto */
/* @font-face {
  font-family: "roboto";
  font-style: italic;
  font-weight: 700;
  font-display: swap;
  src: url("/media/files/font/Roboto-BoldItalic.ttf") format("truetype");
} */
/*----------------------*/
/* CormorantGaramond */

@font-face {
  font-family: "CormorantGaramond";
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: url("/media/files/font/CormorantGaramond-Bold.woff2") format("woff2");
}
@font-face {
  font-family: "CormorantGaramond";
  font-style: normal;
  font-weight: 600;
  font-display: swap;
  src: url("/media/files/font/CormorantGaramond-SemiBold.woff2") format("woff2");
}
@font-face {
  font-family: "CormorantGaramond";
  font-style: normal;
  font-weight: 500;
  font-display: swap;
  src: url("/media/files/font/CormorantGaramond-Medium.woff2") format("woff2");
}
@font-face {
  font-family: "CormorantGaramond";
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url("/media/files/font/CormorantGaramond-Regular.woff2") format("woff2");
}
@font-face {
  font-family: "CormorantGaramond";
  font-style: normal;
  font-weight: 300;
  font-display: swap;
  src: url("/media/files/font/CormorantGaramond-Light.woff2") format("woff2");
}


/*----------------------*/
/* Noto Sans JP */

@font-face {
  font-family: "Noto Sans JP";
  font-style: normal;
  font-weight: 900;
  font-display: swap;
  src: url("/media/files/font/NotoSansJP-900-Black-Subset.woff2") format("woff2");
}

@font-face {
  font-family: "Noto Sans JP";
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: url("/media/files/font/NotoSansJP-700-Bold-Subset.woff2") format("woff2");
}

@font-face {
  font-family: "Noto Sans JP";
  font-style: normal;
  font-weight: 600;
  font-display: swap;
  src: url("/media/files/font/NotoSansJP-600-SemiBold-Subset.woff2") format("woff2");
}

@font-face {
  font-family: "Noto Sans JP";
  font-style: normal;
  font-weight: 500;
  font-display: swap;
  src: url("/media/files/font/NotoSansJP-500-Medium-Subset.woff2") format("woff2");
}

@font-face {
  font-family: "Noto Sans JP";
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url("/media/files/font/NotoSansJP-400-Regular-Subset.woff2") format("woff2");
}


/*----------------------*/
/* Noto Serif JP */

@font-face {
  font-family: "Noto Serif JP";
  font-style: normal;
  font-weight: 900;
  font-display: swap;
  src: url("/media/files/font/NotoSerifJP-Black.woff2") format("woff2");
}

@font-face {
  font-family: "Noto Serif JP";
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: url("/media/files/font/NotoSerifJP-Bold.woff2") format("woff2");
}

@font-face {
  font-family: "Noto Serif JP";
  font-style: normal;
  font-weight: 600;
  font-display: swap;
  src: url("/media/files/font/NotoSerifJP-SemiBold.woff2") format("woff2");
}

@font-face {
  font-family: "Noto Serif JP";
  font-style: normal;
  font-weight: 500;
  font-display: swap;
  src: url("/media/files/font/NotoSerifJP-Medium.woff2") format("woff2");
}

@font-face {
  font-family: "Noto Serif JP";
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url("/media/files/font/NotoSerifJP-Regular.woff2") format("woff2");
}

/*----------------------*/

/* リセットCSS */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.sp_hidden {
  transition: 0.5s;
}

#js-burger::after {
  display: block;
  content: "CLOSE";
  color: #444444;
  position: absolute;
  bottom: -0.2em;
  left: 50%;
  transform: translateX(-50%);
  font-size: 8rem;
  font-family: "Noto Sans JP", sans-serif;
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.5s, visibility 0.5s;
}

html.is-spMenu-opened {
  overflow: hidden;
	
  @media (min-width: 1272px) {
    overflow: visible;
  }
	
  .sp_hidden {
    @media (min-width: 1272px) {
      opacity: 0;
      pointer-events: none;
    }
  }
  #js-spMenu {
    opacity: 1;
    visibility: visible;
    @media (min-width: 1272px) {
      opacity: 0;
      pointer-events: none;
    }
  }
  #js-burger {
    background-color: transparent;
    transition: 0.5s;
    border: none;
    &::after {
      visibility: visible;
      opacity: 1;
    }
  }


  #js-burger-line--1 {
    transition: 0.5s;
    /* width: 32px; */
    /* height: 3px; */
    background-color: #444444;
    transform: rotate(45deg);
    /* 変更 */
    top: 8px;
    right: 0px;
  }
  #js-burger-line--2 {
    transition: 0.5s;
    background-color: transparent;
  }
  #js-burger-line--3 {
    transition: 0.5s;
    /* width: 32px; */
    /* height: 3px; */
    background-color: #444444;
    transform: rotate(-45deg);
    /* 変更 */
    top: 8px;
    right: 0;
    width:100%;
  }
}

.sp_menu_open{
header{
  /* 追加 */
  /* background-color: #142D5B; */
}
}
#js-spMenu {
  height: calc(var(--vh, 1vh) * 100 - 0rem);
  @media (min-width: 768px) {
    height: calc(var(--vh, 1vh) * 100 - 0rem);
  }
}

.js-details__summary {
  &::before {
    transition: all 0.4s ease-out;
  }
}
.js-details[open] {
  .js-details__summary {
    &::before {
      transform: rotate(90deg);
    }
  }
}
/* .grid_1 {
  @media only screen and (min-width: 1272px) {
    grid-area: 1 / 1 / 2 / 2;
  }
}
.grid_2 {
  @media only screen and (min-width: 1272px) {
    grid-area: 2 / 1 / 3 / 2;
  }
}
.grid_3 {
  @media only screen and (min-width: 1272px) {
    grid-area: 1 / 3 / 2 / 4;
  }
}
.grid_4 {
  @media only screen and (min-width: 1272px) {
    grid-area: 2 / 2 / 3 / 3;
  }
}
.grid_5 {
  @media only screen and (min-width: 1272px) {
    grid-area: 1 / 4 / 2 / 5;
  }
}
.grid_6 {
  @media only screen and (min-width: 1272px) {
    grid-area: 1 / 2 / 2 / 3;
  }
} */
.menu_grid_1 {
  @media only screen and (min-width: 1272px) {
    grid-area: 1 / 1 / 2 / 2;
  }
}
.menu_grid_2 {
  @media only screen and (min-width: 1272px) {
    grid-area: 2 / 1 / 3 / 2;
  }
}
.menu_grid_3 {
  @media only screen and (min-width: 1272px) {
    grid-area: 3 / 1 / 4 / 2;
  }
}
.menu_grid_4 {
  @media only screen and (min-width: 1272px) {
    grid-area: 4 / 1 / 5 / 2;
  }
}
.menu_grid_5 {
  @media only screen and (min-width: 1272px) {
    grid-area: 5 / 1 / 6 / 2;
  }
}
.menu_grid_6 {
  @media only screen and (min-width: 1272px) {
    grid-area: 1 / 2 / 2 / 3;
  }
}
.menu_grid_7 {
  @media only screen and (min-width: 1272px) {
    grid-area: 2 / 2 / 3 / 3;
  }
}
summary::-webkit-details-marker {
  display: none;
}
#pankuzu {
  scrollbar-width: none;
}
.one {
  transition-delay: 0s;
}

.two {
  transition-delay: 0.5s;
}

.three {
  transition-delay: 0.5s;
}

.four {
  transition-delay: 0.5s;
}
.logo-swiper {
  .swiper-slide {
    border: 1px solid #bcbcbc;
    padding: 10rem 30rem;
    display: flex;
    align-items: center;
    justify-content: center;
    aspect-ratio: 4/2;
    max-height: 90rem;
    max-width: 250rem;
    img {
      object-fit: contain;
      object-position: center center;
      width: 100%;
      height: 100%;
    }
  }
}
.pankuzu {
  display: flex;
  gap: 30rem;
  scrollbar-width: none;
  white-space: nowrap;
  align-items: center;
  /* overflow-x: scroll; */
  overflow-x: auto;
  padding-top: 8rem;
  padding-bottom: 8rem;
  font-weight:500;
  @media (min-width: 1272px) {
    padding-top: 27rem;
    padding-bottom: 44rem;
  }
  li a:not(.last) {
    position: relative;
  }
  li a:not(.last):after {
    position: absolute;
    content: "";
    right: -20rem;
    top: calc(50% + 1rem);
    transform: translateY(-60%);
    background:url(/media/images/common/pankuzu.svg) no-repeat left center;
    background-size: contain;

    width: 10rem;
    height: 10rem;
  }
  li a {
    transition: 0.5s;
    @media (min-width: 1272px) {
      &:hover {
        color: #3bb0b4;
      }
    }
  }
  li a.last {
    pointer-events: none;
  }
}

/* ページネーション */
.pagination {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0rem;
  color: #7D715F;

  @media (max-width: 1272px) {
    /* gap: 10rem; */
    flex-wrap: wrap;
    /* background-color:#cc6677; */
  }
  li,
  a {
    font-size: 16rem;
    font-weight: 500;
    transition: 0.5s;
    /* background-color: #ffffff; */
  }
  /* a {
    @media (min-width: 1272px) {
      &:hover {
        opacity: 0.5;
      }
    }
  } */

  li:not([class]) {
    /* display: none; */
  }
  li {
    /* color: #cdcdcd; */
    span,
    a{
      /* color: #7D715F; */
    }

  }
  li.page {
    margin: 6rem;

    @media (max-width: 1272px) {
      margin: 4rem;
    }

    span,
    a{
      background-color: #ffffff;
      border-radius: 100%;
      border: 1px solid #7D715F;
      width: 48rem;
      height: 48rem;
      display: grid;
      place-items: center;
      font-size: 17rem;
      /* line-height:2.5em; */
      /* background-color: aqua; */
      padding-top: 2rem;

      @media (max-width: 1272px) {
        width: 34rem;
        height: 34rem;
        font-size: 13rem;
      }
    }

    a{
      @media (min-width: 1272px) {
        &:hover {
          opacity:1;
          background-color: #7D715F;
          /* border: 1px solid #7D715F; */
          color: #ffffff;
        }
      }
    }
  }

  li.active {
    span{
      background-color: #7D715F;
      border: 1px solid #7D715F;
      color: #ffffff;
    }
  }
	
  @media (min-width: 1272px) and (max-width: 1920px) {
    li.prev a,
    li.next a,
    li.prev span,
    li.next span {
      font-size: 20rem;
    }
  }

  .prev,
  .next {
    border-radius: 100%;
    position: relative;
    color: #444444;

    span,
    a {
      position: relative;
      display: block;
      width:auto;
      height: 100%;
      background-color:transparent;
      border-radius:0;
      border: none;
      margin-top:1rem;
      padding-top: 2rem;

      @media (max-width: 1272px) {
        font-size: 14rem;
      }
      
    }
    
    span::before,
    a::before {
      display:block;
      position: absolute;
      z-index: -1;
      content: "";
      top: 50%;
      width: 24rem;
      height: 24rem;
      background: url("/media/images/column/page_arrow.svg") no-repeat center/contain;
      /* background-color: #333333; */

      @media (max-width: 1272px) {
        width: 18rem;
        height: 18rem;
      }
    }
  }
  .prev{
    /* padding-left: 30rem; */
    margin-right: 36rem;

    @media (max-width: 1272px) {
      /* padding-left: 20rem; */
      margin-right: 16rem;
    }

    span,
    a {
      padding-left: 30rem;
      @media (max-width: 1272px) {
        padding-left: 20rem;
      }
    }

    span::before,
    a::before {
      left: 0;
      transform: translate(0%, -50%);
    }
  }
  .next {
    /* padding-right: 30rem; */
    margin-left: 36rem;

    @media (max-width: 1272px) {
      /* padding-right: 20rem; */
      margin-left: 16rem;
    }

    span,
    a {
      padding-right: 30rem;
      @media (max-width: 1272px) {
        padding-right: 20rem;
      }
    }

    span::before,
    a::before {
      transform: translate(0%, -50%) rotate(180deg);
      right:0;
    }
  }
}

header {
  margin-top: 0; /* 余白をリセット */
  padding-top: 0; /* 余白をリセット */
  /* 他のスタイルがあればここに記述 */
}

/* スマホ表示用のスタイル */
@media (max-width: 767px) {
  header {
    top: 0; /* 位置をリセット */
  }
}

/*----------*/
/*カルテット用の疑似改行*/
.br {
  display: block;
  height: 0;
  width: 0;
  font-size: 0;
  line-height:0;
}

.br.hidden {
  display: none !important;
}


@media (min-width: 768px) {
  .br.md\:hidden {
    display: none !important;
  }

  .br.md\:block {
    display: block !important;
  }
}

@media (min-width: 1272px){
  .br.pc\:hidden{
    display: none !important;
  }

  .br.pc\:block {
    display: block !important;
  }
}

/*----------*/
/* アコーディオン */
.accordion_wrap {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.3s ease-out;
}

.accordion_wrap.open {
}

.accordion_wrap.content-visible {
  max-height: none; /* アニメーションが終了したら高さの制限を解除 */
}

.accordion_tgl{
  transition: 0.5s;

  &:hover{
    opacity:0.7;

  }

  .accordion_tgl-line--1,
  .accordion_tgl-line--2{
    position:absolute;
    top:50%;
    left:50%;
    transition: 0.5s ease-out;
  }
  .accordion_tgl-line--1 {
    transform: translate(-50%, -50%) rotate(0deg) ;
  }
  .accordion_tgl-line--2 {
    transform: translate(-50%,-50%) rotate(90deg) ;
  }
}

.accordion_tgl.on{
  .accordion_tgl-line--1 {
    transform: translate(-50%, -50%) rotate(180deg);
  }
  .accordion_tgl-line--2 {
    transform: translate(-50%,-50%) rotate(0deg);
  }
}
